---
title: llarp/win32/service_manager.hpp

---

# llarp/win32/service_manager.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::sys](Namespaces/namespacellarp_1_1sys.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::sys::SVC_Manager](Classes/classllarp_1_1sys_1_1SVC__Manager.md)**  |




## Source code

```cpp
#pragma once
#include <llarp/util/service_manager.hpp>
namespace llarp::sys
{

  class SVC_Manager : public I_SystemLayerManager
  {
    SERVICE_STATUS _status;

   public:
    SERVICE_STATUS_HANDLE handle;

    SVC_Manager();

    void
    system_changed_our_state(ServiceState st) override;

    void
    report_our_state() override;

    void
    we_changed_our_state(ServiceState st) override;
  };
}  // namespace llarp::sys
```


-------------------------------

Updated on 2022-10-28 at 01:58:17 +0000
